#
# spec file for package grep
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           grep
BuildRequires:  pcre-devel
Url:            http://www.gnu.org/software/grep/
License:        GPL v2 or later
Group:          Productivity/Text/Utilities
Provides:       base:/usr/bin/grep
AutoReqProv:    on
PreReq:         %{install_info_prereq}
Version:        2.5.1a
Release:        20.20.44.1
Summary:        Print lines matching a pattern
Source:         grep-%{version}.tar.bz2
Source1:        hu.po
Patch:          grep-%{version}.diff
Patch1:         pcre-static.patch
Patch2:         grep-2.5.1a-i18n-0.3.patch
Patch3:         grep-2.5.1-conf.patch
Patch4:         grep-i18n-speedup.diff
Patch5:         grep-2.5.1-bracket.patch
Patch6:         grep-2.5.1-nb.patch
Patch7:         wordmatch.patch
Patch8:         grep-manpage-err.diff
Patch9:         grep-2.5.1a-mbcset.diff
Patch10:        skip-devices.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU grep, the "fastest grep in the west" (hopefully).

`grep' searches for lines matching a pattern.



Authors:
--------
    Alain Magloire        <alainm@rcsm.ece.mcgill.ca>
    Aharon Robbins        <arnold@gnu.org>
    David J MacKenzie     <djm@catapult.va.pubnix.com>
    Karl Berry            <karl@cs.umb.edu>
    Ulrich Drepper        <drepper@cygnus.com>

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
rename no nb po/no.*
cp %{S:1} po
rm -f m4/header.m4 m4/init.m4 m4/install.m4 m4/largefile.m4 m4/missing.m4 m4/sanity.m4

%build
%{suse_update_config -f}
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} \
	    --bindir=/bin --build=%{_target_cpu}-suse-linux
make
make -C po update-gmo
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf ../../bin/egrep $RPM_BUILD_ROOT/usr/bin/egrep
ln -sf ../../bin/fgrep $RPM_BUILD_ROOT/usr/bin/fgrep
ln -sf ../../bin/grep  $RPM_BUILD_ROOT/usr/bin/grep

%post
%install_info --info-dir=%{_infodir} %{_infodir}/grep.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/grep.info.gz

%files
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING NEWS THANKS TODO
/bin/egrep
/bin/fgrep
/bin/grep
/usr/bin/egrep
/usr/bin/fgrep
/usr/bin/grep
%doc %{_mandir}/man1/egrep.1.gz
%doc %{_mandir}/man1/fgrep.1.gz
%doc %{_mandir}/man1/grep.1.gz
%doc %{_infodir}/grep*.gz
/usr/share/locale/*/LC_MESSAGES/grep.mo

%changelog
* Tue Mar  8 2011 kukuk@suse.de
- Replace mbchar.[ch] with GPLv2 version.
* Thu Aug 14 2008 schwab@suse.de
- Improve performance with UTF-8 [bnc#415228].
* Tue Feb 12 2008 schwab@suse.de
- Fix icase bug [bnc#347965].
* Mon Nov 12 2007 schwab@suse.de
- Fix crash [#338080].
* Sat Mar 24 2007 schwab@suse.de
- Improve performance with UTF-8 [#255977].
* Mon Feb 12 2007 schwab@suse.de
- Update Hungarian translation [#244574].
* Wed Mar 15 2006 schwab@suse.de
- Don't block on opening a pipe when devices are supposed to be skipped
  [#149660].
* Wed Feb  8 2006 schwab@suse.de
- Fix dfa generation of interval expressions [#148453].
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 agruen@suse.de
- Fix a formatting error in the man page.
* Sat Mar 12 2005 schwab@suse.de
- Fix word matching.
* Mon Nov 22 2004 schwab@suse.de
- Update to grep 2.5.1a.
* Wed Oct 20 2004 ro@suse.de
- locale rename: no -> nb
* Thu Sep 23 2004 schwab@suse.de
- Better fix for last change [#45689].
* Wed Mar 17 2004 schwab@suse.de
- Fix dangling pointer [#36172].
* Wed Mar  3 2004 schwab@suse.de
- Update from CVS.
* Thu Feb 19 2004 kukuk@suse.de
- Cleanup neededforbuild
* Tue Feb 10 2004 schwab@suse.de
- Fix configure test for strerror [#34231].
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
- let rpm strip
* Fri Jul 25 2003 schwab@suse.de
- Fix parsing of bracket expressions.
* Mon Jul 21 2003 schwab@suse.de
- Fix use of pointer after free.
* Fri Jun 20 2003 ro@suse.de
- build with current gettext
* Wed Apr 30 2003 schwab@suse.de
- Add i18n speedup patch from Takashi.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr  7 2003 schwab@suse.de
- Only delete info entries when removing last version.
* Wed Feb 12 2003 schwab@suse.de
- Disable huge backref test for now.
* Thu Feb  6 2003 schwab@suse.de
- Use %%install_info.
* Mon Nov 18 2002 schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Thu Aug 15 2002 schwab@suse.de
- Add i18n patches.
* Wed Apr  3 2002 schwab@suse.de
- Link -lpcre statically.
* Wed Apr  3 2002 schwab@suse.de
- Update to grep 2.5.1.
  * Includes support for Perl regexps.
* Wed Apr  3 2002 ro@suse.de
- build with current autoconf/automake
* Tue Feb  5 2002 schwab@suse.de
- Don't replace autoconf macros from gettext.
* Mon Jan 28 2002 schwab@suse.de
- Add i18n patch.
* Tue Sep  4 2001 schwab@suse.de
- Update to grep 2.4.2:
  - New option --binary-files
  - Final newline silently provided.
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Wed Mar  7 2001 schwab@suse.de
- Split from base.
